"""
mkfs functions for for dmm.
"""

import os

def init():
    """
    Initialization for mkfs module
    """


def recipe_run(config, globalconf):
    """
    Perform actions for mkfs module
    """
    for filesystem in config['partitions']:
        os.system("mkfs.%s %s %s" % (filesystem['fstype'], filesystem['options'], filesystem['partition']))


init()
